$(function () { $(".zc-line .zc-list input[type='text']").each(function () { $(this).val($(this).attr("val")); }) })
var check_yhm = false;
var check_dlmm = false;
var check_qrdlmm = false;
var check_sj = false;
var check_name = false;
var check_email = false;
var check_yzm = false;
var check_sheng = false;
var check_address = true;
var check_perid = true;

var check_qq = true;


$(function(){
$("#username").parent().append("<div class='zc_dui'>用户名必须为有效的邮箱或手机号码、或字母加数字</div>");
$("#password").parent().append("<div class='zc_dui'>提醒：6-14个数字和字母。</div>");
$("#repassword").parent().append("<div class='zc_dui'>提醒：请于上方的密码输入一致。</div>");
$("#truename").parent().append("<div class='zc_dui'>提醒：请输入您的真实姓名(公司名称)。</div>");
$("#phone").parent().append("<div class='zc_dui'>提醒：请输入您的手机号码，会用来接收短信。</div>");
$("#email").parent().append("<div class='zc_dui'>提醒：请输入您的电子邮箱，这将是您找回密码的重要凭证。</div>");
$("#prov").parent().append("<div id='divprov' class='zc_dui'>请选择您所在的省份和城市，此项信息有助于帮助您完成备案！</div>");
$("#PerID").parent().append("<div class='zc_dui'>提醒：请输入您的身份证号，这将是您找回密码的重要凭证。</div>");
$("#address").parent().append("<div class='zc_dui'>提醒：请输入您的具体地址。</div>");
$("#QQ").parent().append("<div id='divQQ' class='zc_dui'>提醒：请填写您的QQ号码，方便我们的客服与您联系。</div>");
$("#vcode").parent().append("<div id='divYZM' class='zc_dui'>提醒：请填写正确的验证码。</div>");
})

function checkSubmit() {
    var ret = false;
    if (!check_yhm) { checkusername(); }
    if (!check_dlmm) { checkpassword(); }
    if (!check_qrdlmm) { checkrepassword(); }
    if (!check_name) { checktruename(); }
    if (!check_sj) { checkphone(); }
    if (!check_email) { checkemail(); }
    if (!check_qq) { checkQQ(); }
    if (!check_sheng) { checksheng(); }
    if (!check_address) { checkaddress(); }
    if (!check_perid) { checkPerID(); }
    if (!check_yzm) { checkYZM(); }
    if (check_yhm && check_dlmm && check_qrdlmm && check_sj && check_email && check_yzm && check_sheng && check_address && check_perid && check_name) {
        ret = true;
    }
    return ret;
}
function Createregxml() {
    try {
        regxml = new ActiveXObject("Microsoft.XMLHTTP");
    } catch (e) {
        try {

            regxml = new ActiveXObject("Msxm12.XMLHTTP");
        } catch (E) {
            regxml = false;
        }
    }

    if (!regxml && typeof XMLHttpRequest != 'undefined') {
        regxml = new XMLHttpRequest();
    }
    return regxml;
}

function checkabc(tempstr) {
    ptempstr = new String("abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789");
    for (i = 0; i < tempstr.length; i++) {
        if (ptempstr.indexOf(tempstr.charAt(i)) == -1) {
            return false;
        }
    }

    return true;
}

function Iusername() {
    var obj = $("#username");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>用户名必须为有效的邮箱或手机号码、或字母加数字</div>");
}

function checkusername() {
    var obj = $("#username");
    if ("" == obj.val()) obj.val(obj.attr("val"));
    obj.next().remove();

    if (obj.val().length <= 25 && obj.val().length >= 3) {
        var myReg = /^[A-Za-z0-9.@_]/;
        if (myReg.test(obj.val()) | checkabc(obj.val())) {
            regxml = Createregxml();
            regxml.onreadystatechange = returnIusername;
            var url = "/user/checkusername.asp?";
            regxml.open("GET", url + "username=" + obj.val());
            regxml.send(null);
        }
        else {
            obj.parent().append("<div class='zc_nav'>用户名必须为有效的邮箱或手机号码、或字母加数字</div>");
            check_yhm = false;
        }
    }
    else {
        obj.parent().append("<div class='zc_nav'>用户名的长度应介于3-25位之间</div>");
        check_yhm = false;
    }

}

function returnIusername() {
    var obj = $("#username");
    if (regxml.readyState == 4) {
        var Data = regxml.responseText;
        if (Data == "ok") {
            obj.parent().append("<div class='zc_right'>检查通过!!</div>");
            check_yhm = true;
        } else if (Data == "error2") {
            obj.parent().append("<div class='zc_nav'>这个用户名已经被注册了，请换一个</div>");
            check_yhm = false;
        } else {
            obj.parent().append("<div class='zc_nav'>参数异常</div>");
            check_yhm = false;
        }
    }
}


function Ipassword() {
    var obj = $("#password");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：6-14个数字和字母。</div>");

}

function checkpassword() {
    var obj = $("#password");
    obj.next().remove();
    var name = obj.val();
    if (name.length > 14 | name.length < 6) {
        obj.parent().append("<div class='zc_nav'>密码长度需要在6-14之间</div>");
        check_dlmm = false;
    } else {
        if (checkabc(name)) {
            obj.parent().append("<div class='zc_right'>检查通过!!</div>");
            check_dlmm = true;
        }
        else {
            obj.parent().append("<div class='zc_nav'>密码只能包含数字和字母</div>");
            check_dlmm = false;
        }
        var repwd = $("#repassword");
        if (repwd.val() != "") {
            if (repwd.val() != name) {
                repwd.next().remove();
                repwd.parent().append("<div class='zc_nav'>密码不一致！！</div>");
                check_qrdlmm = false;
            } else {
                repwd.next().remove();
                repwd.parent().append("<div class='zc_right'>检查通过!!</div>");
                check_qrdlmm = true;
            }
        }
    }
}

function Irepassword() {
    var obj = $("#repassword");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请于上方的密码输入一致。</div>");

}

function checkrepassword() {
    var obj = $("#repassword");
    obj.next().remove();
    if (obj.val() != $("#password").val()) {
        obj.next().remove();
        obj.parent().append("<div class='zc_nav'>密码不一致！！</div>");
        check_qrdlmm = false;
    } else {
        obj.next().remove();
        obj.parent().append("<div class='zc_right'>检查通过!!</div>");
        check_qrdlmm = true;
    }
}


function Itruename() {
    var obj = $("#truename");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请输入您的真实姓名(公司名称)。</div>");

}

function checktruename() {
    var obj = $("#truename");
    if (obj.val() == "") obj.val(obj.attr("val"));
    obj.next().remove();
    if (obj.val().length > 25 | obj.val().length < 2) {
        obj.parent().append("<div class='zc_nav'>输入的内容长度不正确！！</div>");
        check_name = false;
    } else {
        var myReg = /^[\u4e00-\u9fa5]+$/;
        if (myReg.test(obj.val())) {
            obj.parent().append("<div class='zc_right'>检查通过!!</div>");
            check_name = true;
        } else {
            obj.parent().append("<div class='zc_nav'>真实姓名(公司名称)只能输入中文！！</div>");
            check_name = false;
        }

    }
}


function Iphone() {
    var obj = $("#phone");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请输入您的手机号码，会用来接收短信。</div>");

}

function checkphone() {
    var obj = $("#phone");
    if (obj.val() == "") obj.val(obj.attr("val"));
    obj.next().remove();
    if (obj.val().length != 11) {
        obj.parent().append("<div class='zc_nav'>输入的内容长度不正确！！</div>");
        check_sj = false;
    } else {
        var myReg = /^(13[0-9]|15[0-9]|18[0-9]|14[0-9])\d{8}$/;
        if (myReg.test(obj.val())) {
            obj.parent().append("<div class='zc_right'>检查通过!!</div>");
            check_sj = true;
        } else {
            obj.parent().append("<div class='zc_nav'>请填写真实的手机号码！！</div>");
            check_sj = false;
        }
    }
}


function Iemail() {
    var obj = $("#email");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请输入您的电子邮箱，这将是您找回密码的重要凭证。</div>");

}

function checkemail() {
    var obj = $("#email");
    if (obj.val() == "") obj.val(obj.attr("val"));
    obj.next().remove();
    var myReg = /^([a-zA-Z0-9_\.\-])+\@(([a-zA-Z0-9\-])+\.)+([a-zA-Z0-9]{2,4})+$/;
    if (myReg.test(obj.val())) {
        obj.parent().append("<div class='zc_right'>检查通过!!</div>");
        check_email = true;
    } else {
        obj.parent().append("<div class='zc_nav'>请填写真实的电子邮箱！！</div>");
        check_email = false;
    }
}

function Isheng() {
    var obj = $("#prov");
    if ($("#divprov")) $("#divprov").remove();
    obj.parent().append("<div id='divprov' class='zc_dui'>请选择您所在的省份和城市，此项信息有助于帮助您完成备案！</div>");
    check_sheng = false;
}
function checksheng(name) {
    var obj = $("#prov");
    if ($("#divprov")) $("#divprov").remove();
    if (obj.val() == "请选择") {
        obj.parent().append("<div id='divprov' class='zc_nav'>您所在的省份和城市为必选项，这会帮助您完成备案！！</div>");
        check_sheng = false;
    }
    else {
        obj.parent().append("<div id='divprov' class='zc_right'>检查通过!!</div>");
        check_sheng = true;
    }
}


function IPerID() {
    var obj = $("#PerID");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请输入您的身份证号，这将是您找回密码的重要凭证。</div>");

}

function checkPerID() {
    var obj = $("#PerID");
    if (obj.val() == "") obj.val(obj.attr("val"));
    obj.next().remove();
    var myReg = /(^\d{15}$)|(^\d{18}$)|(^\d{17}(\d|X|x)$)/;
    if (myReg.test(obj.val())) {
        obj.parent().append("<div class='zc_right'>检查通过!!</div>");
        check_perid = true;
    } else {
        obj.parent().append("<div class='zc_nav'>请填写真实的身份证号！！</div>");
        check_perid = false;
    }
}


function Iaddress() {
    var obj = $("#address");
    if (obj.attr("val") == obj.val()) obj.val("");
    obj.next().remove();
    obj.parent().append("<div class='zc_dui'>提醒：请输入您的具体地址。</div>");

}

function checkaddress() {
    var obj = $("#address");
    if (obj.val() == "") obj.val(obj.attr("val"));
    obj.next().remove();
    var myReg = /^[a-zA-Z0-9_()\u4e00-\u9fa5]+$/;
    if (myReg.test(obj.val())) {
        obj.parent().append("<div class='zc_right'>检查通过!!</div>");
        check_address = true;
    } else {
        obj.parent().append("<div class='zc_nav'>地址只能由汉字、大小写字母、数字下划线和小括号组成！！</div>");
        check_address = false;
    }
}

function IQQ() {
    var obj = $("#QQ");
    if (obj.attr("val") == obj.val()) obj.val("");
    if ($("#divQQ")) $("#divQQ").remove();
    obj.parent().append("<div id='divQQ' class='zc_dui'>提醒：请填写您的QQ号码，方便我们的客服与您联系。</div>");

}

function checkQQ() {
    var obj = $("#QQ");
    if (obj.val() == "") obj.val(obj.attr("val"));
    if ($("#divQQ")) $("#divQQ").remove();
    var myReg = /^[1-9]{1}[0-9]{4,10}$/;
    if (myReg.test(obj.val())) {
        obj.parent().append("<div id='divQQ' class='zc_right'>检查通过!!</div>");
        check_qq = true;
    } else {
        obj.parent().append("<div id='divQQ' class='zc_nav'>请填写真实的QQ号码！！</div>");
        check_qq = false;
    }
}

function IYZM() {
    var obj = $("#vcode");
    if (obj.attr("val") == obj.val()) obj.val("");
    if ($("#divYZM")) $("#divYZM").remove();
    obj.parent().append("<div id='divYZM' class='zc_dui'>提醒：请填写正确的验证码。</div>");

}

function checkYZM() {
    var obj = $("#vcode");
    if (obj.val() == "") obj.val(obj.attr("val"));
    if ($("#divYZM")) $("#divYZM").remove();
    var myReg = /^\d{4}$/;
    if (myReg.test(obj.val())) {
        obj.parent().append("<div id='divYZM' class='zc_right'>检查通过!!</div>");
        check_yzm = true;
    } else {
        obj.parent().append("<div id='divYZM' class='zc_nav'>验证码填写不规范，必须为四位的数字！！</div>");
        check_yzm = false;
    }
}

//CharMode函数 
//测试某个字符是属于哪一类. 
function CharMode(iN) {
    if (iN >= 48 && iN <= 57) return 1; //数字 
    if (iN >= 65 && iN <= 90) return 2; //大写字母 
    if (iN >= 97 && iN <= 122) return 4; else return 8; //小写  //特殊字符 
}
//bitTotal函数 
//计算出当前密码当中一共有多少种模式 
function bitTotal(num) {
    modes = 0;
    for (i = 0; i < 4; i++) {
        if (num & 1) modes++;
        num >>>= 1;
    }
    return modes;
}
//checkStrong函数 
//返回密码的强度级别 
function checkStrong(sPW) {
    if (sPW.length <= 4)
        return 0; //密码太短 
    Modes = 0;
    for (i = 0; i < sPW.length; i++) {
        //测试每一个字符的类别并统计一共有多少种模式. 
        Modes |= CharMode(sPW.charCodeAt(i));
    }
    return bitTotal(Modes);
}
//pwStrength函数 
//当用户放开键盘或密码输入框失去焦点时,根据不同的级别显示不同的颜色 
function pwStrength(pwd) {
    O_color = "#82b7f0";
    L_color = "#FF0000";
    M_color = "#FF9900";
    H_color = "#33CC00";
    if (pwd == null || pwd == '') {
        Lcolor = Mcolor = Hcolor = O_color;
    }
    else {
        S_level = checkStrong(pwd);
        //alert(S_level); 
        switch (S_level) {
            case 0:
                Lcolor = Mcolor = Hcolor = O_color;
            case 1:
                Lcolor = L_color;
                Mcolor = Hcolor = O_color;
                break;
            case 2:
                Lcolor = Mcolor = M_color;
                Hcolor = O_color;
                break;
            default:
                Lcolor = Mcolor = Hcolor = H_color;
        }
    }
    $("#strength_L").css("background-color", Lcolor);
    $("#strength_M").css("background-color", Mcolor);
    $("#strength_H").css("background-color", Hcolor);
    return;
}